Bug 35538

Summary: [OpenVG] Add a SurfaceOpenVG constructor for EGL client buffer surfaces
Product: WebKit Reporter: Jakob Petsovits <jpetsovits>
Component: PlatformAssignee: Nobody <webkit-unassigned>
Status: RESOLVED FIXED    
Severity: Normal CC: eric, krit, mario.bensi
Priority: P2    
Version: 528+ (Nightly build)   
Hardware: All   
OS: All   
Bug Depends on:    
Bug Blocks: 33987    
Attachments:
Description Flags
Patch krit: review+

Description Jakob Petsovits 2010-03-01 13:01:06 PST
[OpenVG] Add a SurfaceOpenVG constructor for EGL client buffer surfaces
Comment 1 Jakob Petsovits 2010-03-01 13:01:51 PST
Created attachment 49742 [details]
Patch
Comment 2 Jakob Petsovits 2010-03-01 13:09:03 PST
Whoever provides our painter with the SurfaceOpenVG might want to draw into a VGImage instead of a pbuffer or window surface. EGL/OpenVG provides the means to do that directly (without cross-copying), and generalizes the VGImage into an "EGL client buffer" which can be made an EGL surface to draw on.

This patch hooks up the appropriate OpenVG functionality with our SurfaceOpenVG and EGLDisplayOpenVG classes, and provides a new constructor that takes an EGLClientBuffer (a casted VGImage) which will be used to create the encapsulated EGL surface.
Comment 3 Jakob Petsovits 2010-03-01 13:22:11 PST
Apparently webkit-patch now automatically uses "New Bugs" as component, which is wrong for this one as it belongs to the "Platform" component.
Comment 4 Eric Seidel (no email) 2010-03-05 15:32:02 PST
You can pass a component in the command line.  See:
webkit-patch help upload
for more information.
Comment 5 Dirk Schulze 2010-03-09 10:58:49 PST
Comment on attachment 49742 [details]
Patch

r=me
Comment 6 Jakob Petsovits 2010-03-12 11:13:03 PST
Committed r55919: <http://trac.webkit.org/changeset/55919>